%{!?ruby_sitelib: %define ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')}
%{!?ruby_sitearch: %define ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')}
%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

Name:		eruby
Version:	1.0.5
Release:	13
# eruby is GPLv2+
# liberuby is LGPLv2+
License:	GPLv2+ and LGPLv2+
URL:		http://www.modruby.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	ruby
BuildRequires:	ruby-devel >= 1.8.0

Source0:	http://www.modruby.net/archive/%{name}-%{version}.tar.gz


Summary:	An interpreter of embedded Ruby language
Group:		Development/Languages

%description
eRuby interprets a Ruby code embedded text file. For example, eRuby
enables you to embed a Ruby code to a HTML file.


%package libs
Summary:	Library for eRuby
Group:		Development/Languages
Requires:	ruby(abi) = 1.8
Provides:	ruby(eruby) = %{version}

%description libs
This package contains a library for eRuby.


%package devel
Summary:	Development files for eRuby
Group:		Development/Languages
Requires:	ruby(eruby) = %{version}

%description devel
This package contains the header files and libraries for an application
embedded eRuby.

%prep
%setup -q

%build
ruby configure.rb --enable-shared
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{ruby_sitearch}

# installing binaries ...
make install DESTDIR=$RPM_BUILD_ROOT

# remove the unnecessary files
rm $RPM_BUILD_ROOT%{_libdir}/*.a

# change permissions
find $RPM_BUILD_ROOT%{_libdir} -name '*.so*' | xargs chmod 0755

# workaround for not working site-install properly
mv $RPM_BUILD_ROOT%{ruby_archdir}/eruby.so $RPM_BUILD_ROOT%{ruby_sitearch}/

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig libs

%postun -p /sbin/ldconfig libs

%files
%defattr (-, root, root, -)
%doc COPYING GPL README.en ChangeLog examples
%lang(ja) %doc README.ja
%{_bindir}/eruby
%{_mandir}/man1/eruby.1*

%files libs
%defattr (-, root, root, -)
%doc COPYING LGPL README.en
%lang(ja) %doc README.ja
%{_libdir}/liberuby.so.*
%{ruby_sitearch}/eruby.so

%files devel
%defattr (-, root, root, -)
%doc COPYING LGPL README.en
%lang(ja) %doc README.ja
%{_includedir}/eruby.h
%{_libdir}/liberuby.so


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 12 2008 Akira TAGOh <tagoh@redhat.com> - 1.0.5-11
- Rebuild for gcc-4.3.

* Tue Sep 25 2007 Akira TAGOH <tagoh@redhat.com> - 1.0.5-10
- clean up the spec file.

* Thu Aug 23 2007 Akira TAGOH <tagoh@redhat.com> - 1.0.5-9
- Rebuild

* Wed Aug  8 2007 Akira TAGOH <tagoh@redhat.com> - 1.0.5-8
- Update License tag.

* Wed Nov 29 2006 Akira TAGOH <tagoh@redhat.com> - 1.0.5-7
- fix library permissions (#215912)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.0.5-6.1
- rebuild

* Thu May 25 2006 Jeremy Katz <katzj@redhat.com> - 1.0.5-6
- rebuild to pick up -devel deps

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.5-5.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.5-5.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Mar 17 2005 Akira TAGOH <tagoh@redhat.com> - 1.0.5-5
- rebuilt

* Thu Feb 10 2005 Akira TAGOH <tagoh@redhat.com> - 1.0.5-4
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 09 2004 Akira TAGOH <tagoh@redhat.com> 1.0.5-1
- New upstream release.

* Wed Aug 06 2003 Akira TAGOH <tagoh@redhat.com> 1.0.3-4
- rebuilt

* Sat Jul 05 2003 Akira TAGOH <tagoh@redhat.com> 1.0.3-3
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 18 2003 Akira TAGOH <tagoh@redhat.com> 1.0.3-1
- New upstream release.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 22 2003 Akira TAGOH <tagoh@redhat.com> 1.0.1-1
- New upstream release.
- update the requirement to work on x86-64.

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- lib64'ize
- don't excludearch alpha

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 31 2002 Akira TAGOH <tagoh@redhat.com> 0.9.8-1
- New upstream release.

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Akira TAGOH <tagoh@redhat.com> 0.9.7-1
- New upstream release.
- split to libs and devel packages.
- Disable alpha only.

* Thu Aug  2 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.1.2

* Tue Aug 29 2000 akira yamada <akira@redhat.com>
- Updated to version 0.0.9
- Added eruby.c.O_EXCL.patch

* Tue Jun 22 2000 akira yamada <akira@redhat.com>
- Initial packaging.
